GNU bug report logs - #54546
(gnu packages racket) assumes that (ice-9 exceptions) exist, breaks pulling from old Guix

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Giovanni Biscuolo <g@HIDDEN>; merged with #54750; dated Thu, 24 Mar 2022 14:53:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to '(gnu packages racket) assumes that (ice-9 exceptions) exist, breaks pulling from old Guix' from 'failed to compute the derivation for (very old) Guix' Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 54546 54750. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54546-done <at> debbugs.gnu.org:


Received: (at 54546-done) by debbugs.gnu.org; 7 Apr 2022 09:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 07 05:28:43 2022
Received: from localhost ([127.0.0.1]:59858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ncORX-0007tg-Mu
	for submit <at> debbugs.gnu.org; Thu, 07 Apr 2022 05:28:43 -0400
Received: from ns13.heimat.it ([46.4.214.66]:59850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1ncORW-0007tS-1u
 for 54546-done <at> debbugs.gnu.org; Thu, 07 Apr 2022 05:28:42 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 7631530219B;
 Thu,  7 Apr 2022 09:28:35 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id MouwNHnwd9F5; Thu,  7 Apr 2022 09:28:16 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.171.41])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id EBAEA300FB0;
 Thu,  7 Apr 2022 09:28:15 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 7809D1984A34;
 Thu,  7 Apr 2022 11:28:15 +0200 (CEST)
Received: (nullmailer pid 7052 invoked by uid 1000);
 Thu, 07 Apr 2022 09:28:15 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 54546-done <at> debbugs.gnu.org
Subject: Re: bug#54546: failed to compute the derivation for (very old) Guix
In-Reply-To: <21c0ce52d10e118957e6e32d895aeb94531050be.camel@HIDDEN>
Organization: Xelera.eu
References: <87v8w3iet3.fsf@HIDDEN>
 <93a60eb79eb33ab89474174ce48ab19e8221ba3c.camel@HIDDEN>
 <87sfr7idco.fsf@HIDDEN>
 <21c0ce52d10e118957e6e32d895aeb94531050be.camel@HIDDEN>
Date: Thu, 07 Apr 2022 11:28:14 +0200
Message-ID: <87sfqp9r9t.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54546-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

sorry for this late reply!

I solved my problem with an ugly workaround: installing the Debian
provided guix package and temporarily using that updated daemon in the
systemd service, so I was able to upgrade to an updated Guix (since the
package in Debian is not up to date with upstream)

Maxime Devos <maximedevos@HIDDEN> writes:

> Giovanni Biscuolo schreef op do 24-03-2022 om 16:23 [+0100]:

[...]

>> I get the meaning of "stubbing" but I don't know how to code in Guile,
>> sorry ? cannot help here
>
> Ok, I've tried something in the attached patch (completely untested).

Meanwhile I applied the above workaround, I did not test your patch

[...]

>> Meanwhile is there anything I can do to upgrade my guix-damon (on
>> foreign distro)
>
> What guix is the guix service using?

It was version 1.0.0

> If it's /usr/bin/guix installed with the foreign distro's package
> manager, you can do, in case of Debian, "sudo apt-get update && sudo
> apt-get upgrade"

No, I was not using the Debian provided package, I installed from the
upstream Guix binary

>> , I never upgraded my root default profile since I first
>> installed Guix on this machine so now I'm stuck at [...]
>
> Suggestion: use your regular user's guix to upgrade root's guix:
>
> $ sudo -i "`which guix`" pull=20
>
> (this assumes the non-root user has a vaguely up-to-date guix)

Wow!  I did not get it before your suggestion! :-O

IMHO this should be the default way to upgrade root's (or any othe user
with an out of date Guix) guix-daemon installation

[...]

Bug closed, thanks! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmJOrq4MHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkS8PQP/2JrPSexwOfdefy7YgUMlhAxziYK86KVQnl9kFrp
JFmGhpjmNKF6aijiAPJwlS5qa3pF4lWd6QXpZ8Oc5JH9iP0WT3XgJelAaSgwvcN+
qzbomLDZyp1v5rRHvgI4R2G5E9UjCgk/gxINr5kRd/Hx13ph1FDbJMjFppjpg/0D
Hx/49jqbQRA0USW2zPrc/hOJbZ2WLrRDa+QwoAVwPwrjBNNOMMxdlMF0X0IPKjFY
DIkG4pu1I56SVU1Dkf7L7RFPyLLe4+NMzhJmbx0Qdr74Z/bJ8xgM7tzMPAAvSGUD
4MU+K6Wbk5Sh8RTik+OeQGMegb7BSi0lOe3QCMNNG8ZfnjWocxjUyiN4t7aF1zA0
XWMz0gMqHt6RjD2MRco7iHHZ5mZA1v2SJOBgkbdiedTJB+QQJcm+rHr/y+9Y1ijz
DZs5reCVYMx1T6GtaYpQTIAZCWhFxW7KdIrhc27buHtbDbmY7TJTGo0ZG9SkPBjd
KtpmzD5PjLz8/2DcE0i8dOE+7P+wsmfxfFKYWwcyf7hJ5nMT+l/KLocTbQkUXy6c
cpssQ5a5K9ZoDc/Id2I/fKL4hTuVRWxcDwKtHZyzlV6FMsiqIQO325D/Hb3pxeh7
xyn4UWCzUobfkB7Cx5tbqF1pXpROYacgTygdm7RfWnLbf4Q3r2AOK6XkVGn3RoGq
H2gj
=exbD
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Giovanni Biscuolo <g@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Giovanni Biscuolo <g@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 54546 <at> debbugs.gnu.org:


Received: (at 54546) by debbugs.gnu.org; 26 Mar 2022 18:09:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 26 14:09:39 2022
Received: from localhost ([127.0.0.1]:54666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYAr4-0000Jk-QU
	for submit <at> debbugs.gnu.org; Sat, 26 Mar 2022 14:09:39 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:51222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nYAr3-0000Jc-2Z
 for 54546 <at> debbugs.gnu.org; Sat, 26 Mar 2022 14:09:38 -0400
Received: from [172.20.10.5] ([213.119.168.171])
 by xavier.telenet-ops.be with bizsmtp
 id B69a2700T3iD4dh0169bRJ; Sat, 26 Mar 2022 19:09:35 +0100
Message-ID: <21c0ce52d10e118957e6e32d895aeb94531050be.camel@HIDDEN>
Subject: Re: bug#54546: failed to compute the derivation for (very old) Guix
From: Maxime Devos <maximedevos@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>, 54546 <at> debbugs.gnu.org
Date: Sat, 26 Mar 2022 19:09:29 +0100
In-Reply-To: <87sfr7idco.fsf@HIDDEN>
References: <87v8w3iet3.fsf@HIDDEN>
 <93a60eb79eb33ab89474174ce48ab19e8221ba3c.camel@HIDDEN>
 <87sfr7idco.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-1I8Krm5IDAtZVxkTAJ2I"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1648318175; bh=hT5m6/kuAqKI2uxykvaPgxwM7imJkhAaBaBPZT/c+Ro=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=WhdDL/b3zAKlJAF+4UDayYxkqwJO0OtNH3tdUfek9VAsBOVvz8zn0oPtD0bPxCBtv
 6b6OhgCVIRaigDVMKncjH79/Bc4rS/bZPHJ5XWSC6NkaDX4G/EKFPVcVGml9jriTm5
 uDeQFOV5dxL1BShfW6H4wZ7P2xSvjZcq4zSLGaHzguNkamZQ5AANGNiL9lYeQ10Q2H
 bhRx4CCDNeUgqfSNvgse7zGUboiLmoo2Ig03XuQ1tz98UlYzApZ4R7KqiLD/Ee9DlM
 WMQZJ1H37VYUSjCjvjql+ZbfIe/YOoACa+whQYDbv+2yFELAFDAfPFWw2RkIsOrLN3
 mYvMYqxqCbIOQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54546
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-1I8Krm5IDAtZVxkTAJ2I
Content-Type: multipart/mixed; boundary="=-3LuDh5ArlUsa6PyleWSQ"


--=-3LuDh5ArlUsa6PyleWSQ
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Giovanni Biscuolo schreef op do 24-03-2022 om 16:23 [+0100]:
> Hi Maxime,
>=20
> Maxime Devos <maximedevos@HIDDEN> writes:
>=20
> > Giovanni Biscuolo schreef op do 24-03-2022 om 15:51 [+0100]:
> > > --8<---------------cut here---------------end--------------->8---
> > > [(ice-9 exceptions) stuff]
> > > Please is there any workaround for this?
> >=20
> > build-aux/build-self.scm stubs (gcrypt hash) and (git).
> > Likewise, it could be modified to stub (ice-9 exceptions) when
> > 'guile-version' refers to a pre-(ice-9 exceptions) Guile.
>=20
> I get the meaning of "stubbing" but I don't know how to code in Guile,
> sorry ? cannot help here

Ok, I've tried something in the attached patch (completely untested).

> [...]
>=20
> > Additionally, I'm looking into reducing the number of imports and
> > cycles, so possibly the situation will resolve itself eventually.
>=20
> Meanwhile is there anything I can do to upgrade my guix-damon (on
> foreign distro)

What guix is the guix service using?  If it's /usr/bin/guix installed
with the foreign distro's package manager, you can do, in case of
Debian, "sudo apt-get update && sudo apt-get upgrade"

> , I never upgraded my root default profile since I first
> installed Guix on this machine so now I'm stuck at [...]

Suggestion: use your regular user's guix to upgrade root's guix:

$ sudo -i "`which guix`" pull=20

(this assumes the non-root user has a vaguely up-to-date guix)

Greetings,
Maxime.


--=-3LuDh5ArlUsa6PyleWSQ
Content-Description: 
Content-Disposition: inline; filename="diff.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="diff.patch"; charset="UTF-8"
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--=-3LuDh5ArlUsa6PyleWSQ--

--=-1I8Krm5IDAtZVxkTAJ2I
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYj9W2RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7o94AQDGT4SNoAZjM1fJFw8viRwchTxc
INAt1CRYC404gDIv3QEAxC3ZUUt56jJ4usnOTN2TN37gJGldqgc3mK5BxQzUFQE=
=mg8M
-----END PGP SIGNATURE-----

--=-1I8Krm5IDAtZVxkTAJ2I--





Information forwarded to bug-guix@HIDDEN:
bug#54546; Package guix. Full text available.

Message received at 54546 <at> debbugs.gnu.org:


Received: (at 54546) by debbugs.gnu.org; 24 Mar 2022 15:23:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 11:23:50 2022
Received: from localhost ([127.0.0.1]:49186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXPJV-00078R-NY
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 11:23:49 -0400
Received: from ns13.heimat.it ([46.4.214.66]:44650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1nXPJT-000789-Bu
 for 54546 <at> debbugs.gnu.org; Thu, 24 Mar 2022 11:23:48 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id A94B430219E;
 Thu, 24 Mar 2022 15:23:40 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id DHXsRsJTLbqg; Thu, 24 Mar 2022 15:23:21 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.162.169])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id 16B2A300F9C;
 Thu, 24 Mar 2022 15:23:21 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 9D621191C82B;
 Thu, 24 Mar 2022 16:23:20 +0100 (CET)
Received: (nullmailer pid 909 invoked by uid 1000);
 Thu, 24 Mar 2022 15:23:20 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 54546 <at> debbugs.gnu.org
Subject: Re: bug#54546: failed to compute the derivation for (very old) Guix
In-Reply-To: <93a60eb79eb33ab89474174ce48ab19e8221ba3c.camel@HIDDEN>
Organization: Xelera.eu
References: <87v8w3iet3.fsf@HIDDEN>
 <93a60eb79eb33ab89474174ce48ab19e8221ba3c.camel@HIDDEN>
Date: Thu, 24 Mar 2022 16:23:19 +0100
Message-ID: <87sfr7idco.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54546
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Maxime,

Maxime Devos <maximedevos@HIDDEN> writes:

> Giovanni Biscuolo schreef op do 24-03-2022 om 15:51 [+0100]:
>> --8<---------------cut here---------------end--------------->8---
>> [(ice-9 exceptions) stuff]
>> Please is there any workaround for this?
>
> build-aux/build-self.scm stubs (gcrypt hash) and (git).
> Likewise, it could be modified to stub (ice-9 exceptions) when
> 'guile-version' refers to a pre-(ice-9 exceptions) Guile.

I get the meaning of "stubbing" but I don't know how to code in Guile,
sorry ? cannot help here

[...]

> Additionally, I'm looking into reducing the number of imports and
> cycles, so possibly the situation will resolve itself eventually.

Meanwhile is there anything I can do to upgrade my guix-damon (on
foreign distro), I never upgraded my root default profile since I first
installed Guix on this machine so now I'm stuck at

=2D-8<---------------cut here---------------start------------->8---

g@renaissance:~$ guix describe -p /var/guix/profiles/per-user/root/current-=
guix
Generation 1    Jul 20 2020 02:08:33    (current)
g@renaissance:~$ /var/guix/profiles/per-user/root/current-guix/bin/guix-dae=
mon --version
guix-daemon (GNU Guix) 1.0.0

=2D-8<---------------cut here---------------end--------------->8---

This machine is trying to build ungoogled-chromium even if I'm pretty
sure there is a substitute available (installed on another machine with
the very same Guix channel) and I suspect it depends on "something"
related to the guix-daemon


Thanks! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmI8jOgMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSxSEP/A7bjFaqyn4kAU6QdJ+bbJQY03t09lLVUt2NMhEy
vafmCwIiKbo08mtZtZJRqNQGt+lBNteUI5TMSCIrAqsADvpO83/tlHLoNfClI3x5
tYliDzeImuFKfMwjz/eLb+hRErP+28Jql+26iYHUXI4mgR0CXZN6ZKVeI5AAgYQc
NV/rrKfVORCExp8CDpeOUUX738edygzJeLCpEjpf2foyVYL8pV76gGoVvjZYZaWK
cBC0qXNf8xBG8a3mSpoWYeCx1FhhBnxVviq3j5OykNR1gtcFZPbxqqqpLyiGqbSz
FZqphKBwq0gZH7RMccG0UOVgfBqznw2oviq3iUpsh1mh+vmaRBBzdFRQQekS+X4e
wq+Ln9pKv3xujStC0MnUnjTf+vZS8M1jmmW3D8LZTTX/gb/7zGz1Q8lu2TotA+if
kAQWLpAuD5k6O1sJGLS3cnafya7DlAUTDCfvNoqgSsyb+xmz3etDo4/H+Fzzv4oh
zJ2sFR+Hq1cjmLL44772OWt0PLzcyj3oX9+Wvc/XDqzuhliDr14sZi1n42IXhf+L
VIpCl44+35KC0zNW0svp0npdESqfYfDqocYzAK89BElRH/tp9EUuEEh3qBsxKm0Q
nL5abSCs7JSxDPBH36FkCdENsVCguNFs+IUk8DmN3vOPDmAhcoO4AC2uyxJ9BSM7
4Nah
=LMzw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#54546; Package guix. Full text available.

Message received at 54546 <at> debbugs.gnu.org:


Received: (at 54546) by debbugs.gnu.org; 24 Mar 2022 15:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 11:02:10 2022
Received: from localhost ([127.0.0.1]:49167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXOyY-0006bl-17
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 11:02:10 -0400
Received: from albert.telenet-ops.be ([195.130.137.90]:59182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nXOyW-0006bc-Fl
 for 54546 <at> debbugs.gnu.org; Thu, 24 Mar 2022 11:02:09 -0400
Received: from [IPv6:2a02:2c40:200:b001::1:66ec]
 ([IPv6:2a02:2c40:200:b001::1:66ec])
 by albert.telenet-ops.be with bizsmtp
 id AF202700348ECPd06F23mN; Thu, 24 Mar 2022 16:02:06 +0100
Message-ID: <93a60eb79eb33ab89474174ce48ab19e8221ba3c.camel@HIDDEN>
Subject: Re: bug#54546: failed to compute the derivation for (very old) Guix
From: Maxime Devos <maximedevos@HIDDEN>
To: Giovanni Biscuolo <g@HIDDEN>, 54546 <at> debbugs.gnu.org
Date: Thu, 24 Mar 2022 16:01:55 +0100
In-Reply-To: <87v8w3iet3.fsf@HIDDEN>
References: <87v8w3iet3.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-nV7l5+ZJRBZPbVXdzd0h"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1648134126; bh=lJ037OSpIAYwil5OuuCfi0HeV5NKehIk1xBrtsGfF2Q=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=Njxk7bulAL2rRFo2l2QcLun8MqqAI/s5ilcpZGPtufMtuJHsjVUivHYKQ1blbuSVq
 QOUamVEvinjrzcOzKZpdm48Ac8X1ks5xsvISb36HgKdkMAW6zLl6EnwJlP8rFqQsRy
 d/mwE1CRIwsrS6FgQNPWH1XiSUFINwaaJ7XHlrP/B5mXegod4PkDYFOU3bHWVrZrKA
 zA2fbK85TJuyVnPBRXXEDR2dfI0sZZxcrgRSNK0sE9w3AkDkmJid0XVTqpRyZ+hXnJ
 A9ljfFzvWqRxVN7MeVnbNEeijClqYYlD23tMa/dCEPPtPC/Kxq6Lg6MnmyJwmVDoGU
 CT/5pJ/Ii/5KQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54546
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-nV7l5+ZJRBZPbVXdzd0h
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Giovanni Biscuolo schreef op do 24-03-2022 om 15:51 [+0100]:
> --8<---------------cut here---------------end--------------->8---
> [(ice-9 exceptions) stuff]
> Please is there any workaround for this?

build-aux/build-self.scm stubs (gcrypt hash) and (git).
Likewise, it could be modified to stub (ice-9 exceptions) when
'guile-version' refers to a pre-(ice-9 exceptions) Guile.

According to Guile's NEWS, (ice-9 exceptions) is new in 3.0.0,
so the stubbing needs to be made conditional on guile-version<3.0.0.

Additionally, I'm looking into reducing the number of imports and
cycles, so possibly the situation will resolve itself eventually.

Greetings,
Maxime.

--=-nV7l5+ZJRBZPbVXdzd0h
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYjyH4xccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jasAP9ezmlF6lPhh0TQDmYuk0JDA0LD
ZBDo+m11dXdfjYn0nAD+IWo6+4e3cEUagPDn+qBLXNoyIcoEvMnp+CqAVPdx7gc=
=TlyY
-----END PGP SIGNATURE-----

--=-nV7l5+ZJRBZPbVXdzd0h--





Information forwarded to bug-guix@HIDDEN:
bug#54546; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Mar 2022 14:52:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 24 10:52:19 2022
Received: from localhost ([127.0.0.1]:49151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nXOp1-0006LA-GY
	for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 10:52:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:49660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1nXOp0-0006L3-I3
 for submit <at> debbugs.gnu.org; Thu, 24 Mar 2022 10:52:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42214)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <g@HIDDEN>) id 1nXOp0-0004BT-AF
 for bug-guix@HIDDEN; Thu, 24 Mar 2022 10:52:18 -0400
Received: from ns13.heimat.it ([46.4.214.66]:49220)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <g@HIDDEN>) id 1nXOoy-0004TJ-AW
 for bug-guix@HIDDEN; Thu, 24 Mar 2022 10:52:18 -0400
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id A1D3630219E
 for <bug-guix@HIDDEN>; Thu, 24 Mar 2022 14:52:14 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sEp9xvM6--uO for <bug-guix@HIDDEN>;
 Thu, 24 Mar 2022 14:51:53 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.162.169])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id BC309300F9C
 for <bug-guix@HIDDEN>; Thu, 24 Mar 2022 14:51:53 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 42F68191C601
 for <bug-guix@HIDDEN>; Thu, 24 Mar 2022 15:51:53 +0100 (CET)
Received: (nullmailer pid 32588 invoked by uid 1000);
 Thu, 24 Mar 2022 14:51:53 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: bug-guix@HIDDEN
Subject: failed to compute the derivation for (very old) Guix
Organization: Xelera.eu
Date: Thu, 24 Mar 2022 15:51:52 +0100
Message-ID: <87v8w3iet3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=46.4.214.66; envelope-from=g@HIDDEN;
 helo=ns13.heimat.it
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hello,

I'm trying to update a (very) old guix installation in my root default
profile

when pulling I'm getting this error:

=2D-8<---------------cut here---------------start------------->8---

$ sudo -i guix pull --url=3Dhttp://git.savannah.gnu.org/git/guix.git
[sudo] password for g:=20
Updating channel 'guix' from Git repository at 'http://git.savannah.gnu.org=
/git/guix.git'...
Building from this channel:
  guix      http://git.savannah.gnu.org/git/guix.git    ab98b51
Computing Guix derivation for 'x86_64-linux'... \Backtrace:
In ice-9/eval.scm:
   721:20 19 (primitive-eval (define-module (gnu packages racket) #:use-mod=
ule (guix packages) #:use-module (# #) # ?))
In ice-9/psyntax.scm:
  1235:36 18 (expand-top-sequence ((define-module (gnu packages racket) #:u=
se-module (guix packages) #:use-module ?)) ?)
  1182:24 17 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () () =
())) _ e (eval) (hygiene #{ g317}#))
   285:10 16 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) (hygi=
ene #{ g317}#))
In ice-9/eval.scm:
   293:34 15 (_ #<module (#{ g317}#) 399db40>)
In ice-9/boot-9.scm:
   2874:4 14 (define-module* _ #:filename _ #:pure _ #:version _ #:imports =
_ #:exports _ #:replacements _ # _ # _ # _ ?)
  2887:24 13 (_)
   222:29 12 (map1 (((guix packages)) ((guix download)) ((guix git-download=
)) ((guix utils)) ((guix gexp)) ((# ?)) ?))
   222:29 11 (map1 (((guix download)) ((guix git-download)) ((guix utils)) =
((guix gexp)) ((guix build-system #)) # ?))
   222:29 10 (map1 (((guix git-download)) ((guix utils)) ((guix gexp)) ((gu=
ix build-system copy)) ((guix # gnu)) # ?))
   222:29  9 (map1 (((guix utils)) ((guix gexp)) ((guix build-system copy))=
 ((guix build-system gnu)) ((srfi #)) # ?))
   222:29  8 (map1 (((guix gexp)) ((guix build-system copy)) ((guix build-s=
ystem gnu)) ((srfi srfi-1)) ((srfi #)) # ?))
   222:29  7 (map1 (((guix build-system copy)) ((guix build-system gnu)) ((=
srfi srfi-1)) ((srfi srfi-26)) ((# #)) # ?))
   222:29  6 (map1 (((guix build-system gnu)) ((srfi srfi-1)) ((srfi srfi-2=
6)) ((ice-9 match)) ((ice-9 #)) ((# #)) ?))
   222:29  5 (map1 (((srfi srfi-1)) ((srfi srfi-26)) ((ice-9 match)) ((ice-=
9 exceptions)) ((gnu packages)) ((# ?)) ?))
   222:29  4 (map1 (((srfi srfi-26)) ((ice-9 match)) ((ice-9 exceptions)) (=
(gnu packages)) ((gnu packages #)) ((?)) ?))
   222:29  3 (map1 (((ice-9 match)) ((ice-9 exceptions)) ((gnu packages)) (=
(gnu packages autotools)) ((gnu # #)) # ?))
   222:17  2 (map1 (((ice-9 exceptions)) ((gnu packages)) ((gnu packages au=
totools)) ((gnu packages bash)) ((# ?)) ?))
   2803:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer =
_ #:version _)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for module" (ice-9 =
exceptions)) #f)

ERROR: In procedure scm-error:
no code for module (ice-9 exceptions)
guix pull: error: You found a bug: the program '/gnu/store/7n5xpd211950xyn3=
9sxwqm6jmgishhnv-compute-guix-derivation'
failed to compute the derivation for Guix (version: "ab98b51ef1304e975da127=
e3092d01dcc7f02657"; system: "x86_64-linux";
host version: "1.0.0"; pull-version: 1).
Please report the COMPLETE output above by email to <bug-guix@HIDDEN>.

=2D-8<---------------cut here---------------end--------------->8---

Please is there any workaround for this?

Thanks! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJABAEBCgAqFiEERcxjuFJYydVfNLI5030Op87MORIFAmI8hYgMHGdAeGVsZXJh
LmV1AAoJENN9DqfOzDkSo3EQAMIa5WX1C14LJeeKXSYoFonSf2J+fYKCrbGQyZcv
82aUujIO5kavB8X3eAr+L/d7AvSN3+2XkgIUTAqG/MLOnrbfxfD1loMpv7bJ8IYZ
80aMm1ymF6r0CrVluitDjme0DTfJxWZc57ZWTl8FAlZ7oCEnQRtgO6ZkZ/sik5Xn
wzKprJt7jAnBpCpjjHcqoeMBaMLJaujI7nOXN/7uGkJL7UBsha38qY1jorhK5Ubp
LGxMVjFcfTsILbR73zNSYRyNsqVVoA0EnI+rj6F3OcbQT3OGSWYErUSirj/j6MQn
jFzZoPlrb5QHLpmFkrOXSQPeLXV4GFodvfjwValM7LrI9KSd5tljZYXYtwpWdEGZ
m8xt3l9OLHuzKcaIydUJj5WHRKtfctUKkEgYO5RqmwYxOX7pgqUpEnjURBl3dkJI
IecZDbzD3LE8v6/Azk5TmFHcQW0NiD2OvGld61vizGf7k5Uf9XzvdKUfjM96FoMp
X8ubXSpA2NxzT1bXotU6wqeTL8WSdQeu1kcaD2v1z0qZNr6GSrlXYrDnEQ0TyZA1
nvLZZ5QoytO0H3jqIPcIIXscFT//cbppcQdi/RUQAwi9YoEn1JHQAfYHBQVrFdBE
3ThZwSaKkQxZQDN45CmO25fexqhl6Ubc/cob2jbH7WXPr63ULu4dZwI1ODd2QB8e
a27f
=pUU4
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Giovanni Biscuolo <g@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54546; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 16 Apr 2022 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.